#include "HT66F0185.h"

#define u8 unsigned char
#define u16 unsigned int


#define bps9600   12  



volatile u8 recdata=0;

void delay_ms(u16 ms)
{
	while(ms--)
	{
		GCC_DELAY(2000);
		GCC_CLRWDT();
	}
}



void UART_SendChar(u8 data)
{
	if(_txif)						
	{
		_txr_rxr=data;				
		while(!_txif);				
		while(!_tidle);				
	}
}



void SendString(u8 *ch)
{
	while(*ch!=0)
	{
		UART_SendChar(*(ch++));	
	}	
	
}

void main()
{
	_wdtc=0xa8;
	
	
	_pdc2=0;
	_pd2=1;
	
	_pdc1=1;
	_pdpu1=1;
	
	_ucr1=0x80;
	_ucr2=0xc4;
	
	_brg=bps9600;
	
	
	
	_ure=1;			
	_emi=1;
	
	delay_ms(200);
	
	while(1)
	{
		SendString((u8*)"HT66F0185Ϣ:\r\n");
					delay_ms(500);	
		SendString((u8*)"ӭʹڵԹߣ\r\n");
					delay_ms(500);
		SendString((u8*)"www.cybertrons.cn\r\n");
					delay_ms(500);
	}
	

}


DEFINE_ISR(UART_Int,0x2c)
{
	if(_rxif)
	{
		recdata=_txr_rxr;
	}
}

